Bug 1312224 - [Docs][Admin][SHE] Multiple scopes can now be specified in engine-backup
[Docs][Admin][SHE] Multiple scopes can now be specified in engine-backup
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.6
: ---
Assigned To: Byron Gravenorst
Tahlia Richardson
Depends On: 1208122
  Show dependency treegraph
Reported: 2016-02-26 02:14 EST by Lucy Bopf
Modified: 2016-05-26 22:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-26 22:21:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lucy Bopf 2016-02-26 02:14:32 EST
Previously, the --scope option could only be specified once per engine-backup command. If the user wanted to back up both 'files' and 'db', for example, they would have to run the command twice, once for each scope.

Now, the engine-backup command accepts more than one --scope option, so a user could back up both 'files' and 'db' in a single command.

The engine-backup procedures in the Administration Guide and the Self-Hosted Engine Guide should be reviewed and updated.

The engineering bug explains:

"An example:

If a machine had, say, engine+dwh+reports, it's possible now to run:

engine-backup --mode=backup --file=f1 --log=log1 --scope=files --scope=db

and get a backup of the files + engine database. A restore of this on a clean empty machine should result with a working engine (with no dwh/reports).

And another:

engine-backup --mode=backup --file=f1 --log=log1

will backup all, but if then, on an empty clean machine,

engine-backup --mode=restore --file=f1 --log=log1 --scope=files --scope=db

should also result with a working engine (and no dwh/reports)."
Comment 1 Lucy Bopf 2016-04-21 05:50:59 EDT
Assigning to Byron for review.

Note You need to log in before you can comment on or make changes to this bug.